Get Jurisdiction Metrics Current
curl --request GET \
--url https://api.shovels.ai/v2/jurisdictions/{geo_id}/metrics/current \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.shovels.ai/v2/jurisdictions/{geo_id}/metrics/current"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/jurisdictions/{geo_id}/metrics/current")
.header("X-API-Key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shovels.ai/v2/jurisdictions/{geo_id}/metrics/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.shovels.ai/v2/jurisdictions/{geo_id}/metrics/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shovels.ai/v2/jurisdictions/{geo_id}/metrics/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"geo_id": "MDEyMzQ1Njc4OWFiY2RlZg==",
"tag": "solar",
"permit_count": 180,
"contractor_count": 60,
"avg_construction_duration": 75,
"avg_approval_duration": 21,
"total_job_value": 75000000,
"avg_inspection_pass_rate": 82,
"permit_active_count": 120,
"permit_in_review_count": 60,
"property_type": "residential"
}
],
"size": 1
}Jurisdictions
Get Jurisdiction Metrics Current
Returns current jurisdiction metrics.
GET
/
jurisdictions
/
{geo_id}
/
metrics
/
current
Get Jurisdiction Metrics Current
Authorizations
Path Parameters
Filter by the specified jurisdiction ID.
Query Parameters
Filter by property type
Filter by tag
Cursor for pagination
Required range:
1 <= x <= 100Response
Current metrics for the jurisdiction
Schema for cursor-paginated jurisdiction current metrics response.
The list of items returned in the response following given criteria.
Show child attributes
Show child attributes
The number of items returned in the response.
The cursor for retrieving the next page of results.
Total result count (capped at 10,000). Present on first-page responses when include_count=true. null if the count query timed out.
Show child attributes
Show child attributes
Was this page helpful?

